local pressedbutton = 1
local moving = false

-- Global Functions ---------------------------------------
function SF_MainOnEvent()
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings.setup) then SF_FirstLoad(); end
		
		SlashCmdList["SFSKINS"] = SFSkins_SlashCmdHandler;
		SLASH_SFSKINS1 = "/sfskins";
		SLASH_SFSKINS2 = "/sfs";
		
	end
end

function SFSkins_SlashCmdHandler(cmd)
if cmd == "toggle" then
	if myTabContainerFrame:IsVisible() then
	myTabContainerFrame:Hide()
	else
	
	myTabContainerFrame:Show()

	end
end
end

function RetControlStr()
return pressedbutton
end


function ControlStr(val)
pressedbutton = val
end

function GetMoving()
return moving
end


function SetMoving(val)
moving = val
end


function MakeOneMove(bcode, val)
	local fnum = pressedbutton
	
	if moving then
		if (val == 0) then
			if (bcode == "hbar") then
				if (getglobal("DiivSkins_hbar"..fnum):IsMouseEnabled()) then
					getglobal("DiivSkins_hbar"..fnum.."Mover"):Hide() --Mover Code
					getglobal("DiivSkins_hbar"..fnum):EnableMouse(false)
					
				end
			elseif (bcode == "vbar") then
				if (getglobal("DiivSkins_vbar"..fnum):IsMouseEnabled()) then
					getglobal("DiivSkins_vbar"..fnum.."Mover"):Hide() --Mover Code
					getglobal("DiivSkins_vbar"..fnum):EnableMouse(false)
				end
			elseif (bcode == "endcap") then
				if (getglobal("DiivSkins_endcap"..fnum):IsMouseEnabled()) then
					getglobal("DiivSkins_endcap"..fnum.."Mover"):Hide() --Mover Code
					getglobal("DiivSkins_endcap"..fnum):EnableMouse(false)
				end
			elseif (bcode == "miscbit") then
				if (getglobal("DiivSkins_miscbit"..fnum):IsMouseEnabled()) then
					getglobal("DiivSkins_miscbit"..fnum.."Mover"):Hide() --Mover Code
					getglobal("DiivSkins_miscbit"..fnum):EnableMouse(false)
				end
			end
		else
			if (bcode == "hbar") then
				if not (getglobal("DiivSkins_hbar"..fnum):IsMouseEnabled()) then
					getglobal("DiivSkins_hbar"..fnum.."Mover"):Show() --Mover Code
					getglobal("DiivSkins_hbar"..fnum):EnableMouse(true)
				end
			elseif (bcode == "vbar") then
				if not (getglobal("DiivSkins_vbar"..fnum):IsMouseEnabled()) then
					getglobal("DiivSkins_vbar"..fnum.."Mover"):Show() --Mover Code
					getglobal("DiivSkins_vbar"..fnum):EnableMouse(true)
				end
			elseif (bcode == "endcap") then
				if not (getglobal("DiivSkins_endcap"..fnum):IsMouseEnabled()) then
					getglobal("DiivSkins_endcap"..fnum.."Mover"):Show() --Mover Code
					getglobal("DiivSkins_endcap"..fnum):EnableMouse(true)
				end
			elseif (bcode == "miscbit") then
				if not (getglobal("DiivSkins_miscbit"..fnum):IsMouseEnabled()) then
					getglobal("DiivSkins_miscbit"..fnum.."Mover"):Show() --Mover Code
					getglobal("DiivSkins_miscbit"..fnum):EnableMouse(true)
				end
			end
		end
	end
end

function MakeThemMove(val)
for x=1,10 do
	if val then
		moving = true
		if (SFSkinSettings["hbar"..x] >0) then		
			getglobal("DiivSkins_hbar"..x):EnableMouse(true)
			getglobal("DiivSkins_hbar"..x.."Mover"):Show() --Mover Code
		end
		if (SFSkinSettings["vbar"..x] >0) then
			getglobal("DiivSkins_vbar"..x):EnableMouse(true)
			getglobal("DiivSkins_vbar"..x.."Mover"):Show() --Mover Code
		end
		if (SFSkinSettings["endcap"..x] >0) then
			getglobal("DiivSkins_endcap"..x):EnableMouse(true)
			getglobal("DiivSkins_endcap"..x.."Mover"):Show() --Mover Code
		end
		if (SFSkinSettings["miscbit"..x] >0) then
			getglobal("DiivSkins_miscbit"..x):EnableMouse(true)
			getglobal("DiivSkins_miscbit"..x.."Mover"):Show() --Mover Code
		end
	 else
		moving = false
		
		getglobal("DiivSkins_hbar"..x.."Mover"):Hide() --Mover Code
		getglobal("DiivSkins_vbar"..x.."Mover"):Hide() --Mover Code
		getglobal("DiivSkins_endcap"..x.."Mover"):Hide() --Mover Code
		getglobal("DiivSkins_miscbit"..x.."Mover"):Hide() --Mover Code
		
		getglobal("DiivSkins_hbar"..x):EnableMouse(false)
		getglobal("DiivSkins_vbar"..x):EnableMouse(false)
		getglobal("DiivSkins_endcap"..x):EnableMouse(false)
		getglobal("DiivSkins_miscbit"..x):EnableMouse(false)
		
		point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_hbar"..x):GetPoint()
			SFSkinSettings["hbar"..x.."Locy"] = yOfs
			SFSkinSettings["hbar"..x.."Locx"] = xOfs
			SFSkinSettings["hbar"..x.."LocRel"] = relativePoint
			SFSkinSettings["hbar"..x.."LocPoint"] = point
			
		point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_vbar"..x):GetPoint()
			SFSkinSettings["vbar"..x.."Locy"] = yOfs
			SFSkinSettings["vbar"..x.."Locx"] = xOfs
			SFSkinSettings["vbar"..x.."LocRel"] = relativePoint
			SFSkinSettings["vbar"..x.."LocPoint"] = point	
			
		point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_endcap"..x):GetPoint()
			SFSkinSettings["endcap"..x.."Locy"] = yOfs
			SFSkinSettings["endcap"..x.."Locx"] = xOfs
			SFSkinSettings["endcap"..x.."LocRel"] = relativePoint
			SFSkinSettings["endcap"..x.."LocPoint"] = point	
			
			
		point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_miscbit"..x):GetPoint()
			SFSkinSettings["miscbit"..x.."Locy"] = yOfs
			SFSkinSettings["miscbit"..x.."Locx"] = xOfs
			SFSkinSettings["miscbit"..x.."LocRel"] = relativePoint
			SFSkinSettings["miscbit"..x.."LocPoint"] = point		
				
	end
end
end


function SF_FirstLoad()
	SFSkinSettings.setup = true;
end

-- hbar Functions ---------------------------------
function SF_TextureOnEvent()
	local barid = "hbar"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[barid]) then SFSkinSettings[barid] = 0; end
		SF_TextureUpdate(barid);
	end
end

function SF_TextureUpdate(barid)
	local key = SFSkinSettings[barid];
	local var = SFSkinTextures[key];
	local texture = getglobal("DiivSkins_"..barid.."Texture");
	texture:SetTexCoord(var.a, var.b, var.c, var.d);
end


function SF_LocationOnEvent()
local barid = "hbar"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[barid.."Locx"]) then 
			point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_"..barid):GetPoint()
			SFSkinSettings[barid.."Locy"] = yOfs
			SFSkinSettings[barid.."Locx"] = xOfs
			SFSkinSettings[barid.."LocRel"] = relativePoint
			SFSkinSettings[barid.."LocPoint"] = point
		end
		SF_LocationUpdate(barid)
	end
end

function SF_LocationUpdate(barid)
	local relativepoint, point
	relativepoint = SFSkinSettings[barid.."LocRel"]
	point = SFSkinSettings[barid.."LocPoint"]
	getglobal("DiivSkins_"..barid):SetPoint(point,UIParent,relativepoint,SFSkinSettings[barid.."Locx"] ,SFSkinSettings[barid.."Locy"])
end


function SF_SizeOnEvent()
local barid = "hbar"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[barid.."Size"]) then 
			point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_"..barid):GetPoint()
			SFSkinSettings[barid.."Size"] = 100
		end
		SF_SizeUpdate(barid)
	end
end


function SF_SizeUpdate(barid)
	local Size = SFSkinSettings[barid.."Size"]/100
	getglobal("DiivSkins_"..barid):SetScale(Size)
end


SFSkinTextures = {};
SFSkinTextures[0] = {a = 0.5, b = 0.6, c = 0.9, d = 1.0};
SFSkinTextures[1] = {a = 0.0, b = 1.0, c = 0.9023437, d = 0.9824218};
SFSkinTextures[2] = {a = 0.0, b = 1.0, c = 0.8203125, d = 0.9003906};
SFSkinTextures[3] = {a = 0.0, b = 1.0, c = 0.7382812, d = 0.8183593};
SFSkinTextures[4] = {a = 0.0, b = 1.0, c = 0.65625, d = 0.7363218};
SFSkinTextures[5] = {a = 0.0, b = 1.0, c = 0.5742187, d = 0.6542968};
SFSkinTextures[6] = {a = 0.0, b = 1.0, c = 0.4921875, d = 0.5722656};
SFSkinTextures[7] = {a = 0.0, b = 1.0, c = 0.4101562, d = 0.4902343};
SFSkinTextures[8] = {a = 0.0, b = 1.0, c = 0.328125, d = 0.4082031};
SFSkinTextures[9] = {a = 0.0, b = 1.0, c = 0.2460937, d = 0.3261718};
SFSkinTextures[10] = {a = 0.0, b = 1.0, c = 0.1640625, d = 0.2441406};
SFSkinTextures[11] = {a = 0.0, b = 1.0, c = 0.0820312, d = 0.1621093};
SFSkinTextures[12] = {a = 0.0, b = 1.0, c = 0.0, d = 0.0800781}; 

-- vbar Functions ---------------------------------

function SF_vTextureOnEvent()
	local vbarid = "vbar"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[vbarid]) then SFSkinSettings[vbarid] = 0; end
		SF_vTextureUpdate(vbarid);
	end
end

function SF_vTextureUpdate(vbarid)
	local key = SFSkinSettings[vbarid];
	local var = SFSkinVBarTextures[key];
	local vtexture = getglobal("DiivSkins_"..vbarid.."Texture");
	vtexture:SetTexCoord(var.a, var.b, var.c, var.d);
end


function SF_vLocationOnEvent()
local vbarid = "vbar"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[vbarid.."Locx"]) then 
			point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_"..vbarid):GetPoint()
			SFSkinSettings[vbarid.."Locy"] = yOfs
			SFSkinSettings[vbarid.."Locx"] = xOfs
			SFSkinSettings[vbarid.."LocRel"] = relativePoint
			SFSkinSettings[vbarid.."LocPoint"] = point
		end
		SF_vLocationUpdate(vbarid)
	end
end

function SF_vLocationUpdate(vbarid)
	local relativepoint, point
	relativepoint = SFSkinSettings[vbarid.."LocRel"]
	point = SFSkinSettings[vbarid.."LocPoint"]
	getglobal("DiivSkins_"..vbarid):SetPoint(point,UIParent,relativepoint,SFSkinSettings[vbarid.."Locx"] ,SFSkinSettings[vbarid.."Locy"])
end


function SF_vSizeOnEvent()
local vbarid = "vbar"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[vbarid.."Size"]) then 
			point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_"..vbarid):GetPoint()
			SFSkinSettings[vbarid.."Size"] = 100
		end
		SF_vSizeUpdate(vbarid)
	end
end


function SF_vSizeUpdate(vbarid)
	local Size = SFSkinSettings[vbarid.."Size"]/100
	getglobal("DiivSkins_"..vbarid):SetScale(Size)
end


-- vbar Configuration Variables ---------------------------------
SFSkinVBarTextures = {};
SFSkinVBarTextures[0] = {a = 0.5, b = 0.6, c = 0.9, d = 1.0};
SFSkinVBarTextures[1] = {a = 0.9121093, b = 0.9921875, c = 0.0, d = 1.0};
SFSkinVBarTextures[2] = {a = 0.8300781, b = 0.9082031, c = 0.0, d = 1.0};
SFSkinVBarTextures[3] = {a = 0.7480468, b = 0.8261718, c = 0.0, d = 1.0};
SFSkinVBarTextures[4] = {a = 0.6660156, b = 0.7441406, c = 0.0, d = 1.0};
SFSkinVBarTextures[5] = {a = 0.5839843, b = 0.6621093, c = 0.0, d = 1.0};
SFSkinVBarTextures[6] = {a = 0.5019531, b = 0.5800781, c = 0.0, d = 1.0};
SFSkinVBarTextures[7] = {a = 0.4199218, b = 0.4980468, c = 0.0, d = 1.0};
SFSkinVBarTextures[8] = {a = 0.3378906, b = 0.4160156, c = 0.0, d = 1.0};
SFSkinVBarTextures[9] = {a = 0.2558593, b = 0.3339843, c = 0.0, d = 1.0};
SFSkinVBarTextures[10] = {a = 0.1738281, b = 0.2519531, c = 0.0, d = 1.0};
SFSkinVBarTextures[11] = {a = 0.0917968, b = 0.1699218, c = 0.0, d = 1.0};
SFSkinVBarTextures[12] = {a = 0.0097656, b = 0.0878906, c = 0.0, d = 1.0}; 

-- cap Functions ---------------------------------

function SF_CapTextureOnEvent()
	local endcapid = "endcap"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[endcapid]) then SFSkinSettings[endcapid] = 0; end
		SF_CapTextureUpdate(endcapid);
	end
end

function SF_CapTextureUpdate(endcapid)
	local key = SFSkinSettings[endcapid];
	local var = SFSkinCapTextures[key];
	local captexture = getglobal("DiivSkins_"..endcapid.."Texture");
	captexture:SetTexCoord(var.e, var.f, var.g, var.h);
end


function SF_CapLocationOnEvent()
local endcapid = "endcap"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[endcapid.."Locx"]) then 
			point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_"..endcapid):GetPoint()
			SFSkinSettings[endcapid.."Locy"] = yOfs
			SFSkinSettings[endcapid.."Locx"] = xOfs
			SFSkinSettings[endcapid.."LocRel"] = relativePoint
			SFSkinSettings[endcapid.."LocPoint"] = point
		end
		SF_CapLocationUpdate(endcapid)
	end
end

function SF_CapLocationUpdate(endcapid)
	local relativepoint, point
	relativepoint = SFSkinSettings[endcapid.."LocRel"]
	point = SFSkinSettings[endcapid.."LocPoint"]
	getglobal("DiivSkins_"..endcapid):SetPoint(point,UIParent,relativepoint,SFSkinSettings[endcapid.."Locx"] ,SFSkinSettings[endcapid.."Locy"])
end


function SF_CapSizeOnEvent()
local endcapid = "endcap"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[endcapid.."Size"]) then 
			point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_"..endcapid):GetPoint()
			SFSkinSettings[endcapid.."Size"] = 100
		end
		SF_CapSizeUpdate(endcapid)
	end
end


function SF_CapSizeUpdate(endcapid)
	local Size = SFSkinSettings[endcapid.."Size"]/100
	getglobal("DiivSkins_"..endcapid):SetScale(Size)
end



-- endcap Configuration Variables ---------------------------------
SFSkinCapTextures = {};
SFSkinCapTextures[0] = {e = 0.75, f = 0.8, g = 0.75, h = 0.8};
SFSkinCapTextures[1] = {e = 0.0, f = 0.25, g = 0.0, h = 0.25};
SFSkinCapTextures[2] = {e = 0.25, f = 0.0, g = 0.0, h = 0.25};
SFSkinCapTextures[3] = {e = 0.25, f = 0.5, g = 0.0, h = 0.25};
SFSkinCapTextures[4] = {e= 0.5, f = 0.25, g = 0.0, h = 0.25};
SFSkinCapTextures[5] = {e = 0.5, f = 0.75, g = 0.0, h = 0.25};
SFSkinCapTextures[6] = {e = 0.75, f = 0.5, g = 0.0, h = 0.25};
SFSkinCapTextures[7] = {e = 0.75, f = 1.0, g = 0.0, h = 0.25};
SFSkinCapTextures[8] = {e = 1.0, f = 0.75, g = 0.0, h = 0.25};
SFSkinCapTextures[9] = {e = 0.0, f = 0.25, g = 0.25, h = 0.5};
SFSkinCapTextures[10] = {e = 0.25, f = 0.0, g = 0.25, h = 0.5};
SFSkinCapTextures[11] = {e = 0.25, f = 0.5, g = 0.25, h = 0.5};
SFSkinCapTextures[12] = {e = 0.5, f = 0.25, g = 0.25, h = 0.5};
SFSkinCapTextures[13] = {e = 0.5, f = 0.75, g = 0.25, h = 0.5};
SFSkinCapTextures[14] = {e = 0.75, f = 0.5, g = 0.25, h = 0.5};
SFSkinCapTextures[15] = {e = 0.75, f = 1.0, g = 0.25, h = 0.5};
SFSkinCapTextures[16] = {e = 1.0, f = 0.75, g = 0.25, h = 0.5};
SFSkinCapTextures[17] = {e = 0.0, f = 0.25, g = 0.5, h = 0.75};
SFSkinCapTextures[18] = {e = 0.25, f = 0.0, g = 0.5, h = 0.75};
SFSkinCapTextures[19] = {e = 0.25, f = 0.5, g = 0.5, h = 0.75};
SFSkinCapTextures[20] = {e = 0.5, f = 0.25, g = 0.5, h = 0.75};
SFSkinCapTextures[21] = {e = 0.5, f = 0.75, g = 0.5, h = 0.75};
SFSkinCapTextures[22] = {e = 0.75, f = 0.5, g = 0.5, h = 0.75};
SFSkinCapTextures[23] = {e = 0.75, f = 1.0, g = 0.5, h = 0.75};
SFSkinCapTextures[24] = {e = 1.0, f = 0.75, g = 0.5, h = 0.75};
SFSkinCapTextures[25] = {e = 0.0, f = 0.25, g = 0.75, h = 1.0};
SFSkinCapTextures[26] = {e = 0.25, f = 0.0, g = 0.75, h = 1.0};
SFSkinCapTextures[27] = {e = 0.25, f = 0.5, g = 0.75, h = 1.0};
SFSkinCapTextures[28] = {e = 0.5, f = 0.25, g = 0.75, h = 1.0};
SFSkinCapTextures[29] = {e = 0.5, f = 0.75, g = 0.75, h = 1.0};
SFSkinCapTextures[30] = {e = 0.75, f = 0.5, g = 0.75, h = 1.0};
SFSkinCapTextures[31] = {e = 0.75, f = 1.0, g = 0.75, h = 1.0};
SFSkinCapTextures[32] = {e = 1.0, f = 0.75, g = 0.75, h = 1.0};


function SF_BitTextureOnEvent()
	local miscbitid = "miscbit"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[ miscbitid]) then SFSkinSettings[ miscbitid] = 0; end
		SF_BitTextureUpdate( miscbitid);
	end
end

function SF_BitTextureUpdate( miscbitid)
	local key = SFSkinSettings[ miscbitid];
	local var = SFSkinBitTextures[key];
	local bittexture = getglobal("DiivSkins_".. miscbitid.."Texture");
	bittexture:SetTexCoord(var.e, var.f, var.g, var.h);
end


function SF_BitLocationOnEvent()
local  miscbitid = "miscbit"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[miscbitid.."Locx"]) then 
			point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_"..miscbitid):GetPoint()
			SFSkinSettings[miscbitid.."Locy"] = yOfs
			SFSkinSettings[miscbitid.."Locx"] = xOfs
			SFSkinSettings[miscbitid.."LocRel"] = relativePoint
			SFSkinSettings[miscbitid.."LocPoint"] = point
		end
		SF_BitLocationUpdate(miscbitid)
	end
end

function SF_BitLocationUpdate(miscbitid)
	local relativepoint, point
	relativepoint = SFSkinSettings[miscbitid.."LocRel"]
	point = SFSkinSettings[miscbitid.."LocPoint"]
	getglobal("DiivSkins_"..miscbitid):SetPoint(point,UIParent,relativepoint,SFSkinSettings[miscbitid.."Locx"] ,SFSkinSettings[miscbitid.."Locy"])
end


function SF_BitSizeOnEvent()
local miscbitid = "miscbit"..this:GetID();
	if (event == "VARIABLES_LOADED") then 
		if (not SFSkinSettings) then SFSkinSettings = {}; end
		if (not SFSkinSettings[miscbitid.."Size"]) then 
			point, relativeTo, relativePoint, xOfs, yOfs = getglobal("DiivSkins_"..miscbitid):GetPoint()
			SFSkinSettings[miscbitid.."Size"] = 100
		end
		SF_BitSizeUpdate(miscbitid)
	end
end


function SF_BitSizeUpdate(miscbitid)
	local Size = SFSkinSettings[miscbitid.."Size"]/100
	getglobal("DiivSkins_"..miscbitid):SetScale(Size)
end


-- misc bit Configuration Variables ---------------------------------
SFSkinBitTextures = {};
SFSkinBitTextures[0] = {e = 0.75, f = 0.8, g = 0.75, h = 0.8};
SFSkinBitTextures[1] = {e = 0.0, f = 0.25, g = 0.0, h = 0.25};
SFSkinBitTextures[2] = {e = 0.25, f = 0.0, g = 0.0, h = 0.25};
SFSkinBitTextures[3] = {e = 0.25, f = 0.5, g = 0.0, h = 0.25};
SFSkinBitTextures[4] = {e= 0.5, f = 0.25, g = 0.0, h = 0.25};
SFSkinBitTextures[5] = {e = 0.5, f = 0.75, g = 0.0, h = 0.25};
SFSkinBitTextures[6] = {e = 0.75, f = 0.5, g = 0.0, h = 0.25};
SFSkinBitTextures[7] = {e = 0.75, f = 1.0, g = 0.0, h = 0.25};
SFSkinBitTextures[8] = {e = 1.0, f = 0.75, g = 0.0, h = 0.25};
SFSkinBitTextures[9] = {e = 0.0, f = 0.25, g = 0.25, h = 0.5};
SFSkinBitTextures[10] = {e = 0.25, f = 0.0, g = 0.25, h = 0.5};
SFSkinBitTextures[11] = {e = 0.25, f = 0.5, g = 0.25, h = 0.5};
SFSkinBitTextures[12] = {e = 0.25, f = 0.5, g = 0.5, h = 0.25};
SFSkinBitTextures[13] = {e = 0.5, f = 0.75, g = 0.25, h = 0.5};
SFSkinBitTextures[14] = {e = 0.75, f = 0.5, g = 0.25, h = 0.5};
SFSkinBitTextures[15] = {e = 0.75, f = 0.5, g = 0.5, h = 0.25};
SFSkinBitTextures[16] = {e = 0.5, f = 0.75, g = 0.5, h = 0.25};
SFSkinBitTextures[17] = {e = 0.75, f = 1.0, g = 0.25, h = 0.5};
SFSkinBitTextures[18] = {e = 1.0, f = 0.75, g = 0.25, h = 0.5};
SFSkinBitTextures[19] = {e = 1.0, f = 0.75, g = 0.5, h = 0.25};
SFSkinBitTextures[20] = {e = 0.75, f = 1.0, g = 0.5, h = 0.25};
SFSkinBitTextures[21] = {e = 0.0, f = 0.25, g = 0.5, h = 0.75};
SFSkinBitTextures[22] = {e = 0.25, f = 0.5, g = 0.5, h = 0.75};
SFSkinBitTextures[23] = {e = 0.5, f = 0.75, g = 0.5, h = 0.75};
SFSkinBitTextures[24] = {e= 0.75, f = 1.0, g = 0.5, h = 0.75};
SFSkinBitTextures[25] = {e = 0.0, f = 0.25, g = 0.75, h = 1.0};
SFSkinBitTextures[26] = {e = 0.25, f = 0.0, g = 0.75, h = 1.0};
SFSkinBitTextures[27] = {e = 0.25, f = 0.5, g = 0.75, h = 1.0};
SFSkinBitTextures[28] = {e = 0.5, f = 0.25, g = 0.75, h = 1.0};
SFSkinBitTextures[29] = {e = 0.5, f = 0.75, g = 0.75, h = 1.0};
SFSkinBitTextures[30] = {e = 0.75, f = 1.0, g = 0.75, h = 1.0};

-- Skrag's GameMenuButton function ---------------------------------
function GameMenu_AddButton( button )
	if( GameMenu_InsertAfter == nil ) then
		GameMenu_InsertAfter = GameMenuButtonMacros;
	end
	if( GameMenu_InsertBefore == nil ) then
		GameMenu_InsertBefore = GameMenuButtonLogout;
	end

	button:ClearAllPoints();
	button:SetPoint( "TOP", GameMenu_InsertAfter:GetName(), "BOTTOM", 0, -1 );
	GameMenu_InsertBefore:SetPoint( "TOP", button:GetName(), "BOTTOM", 0, -1 );
	GameMenu_InsertAfter = button;
	GameMenuFrame:SetHeight( GameMenuFrame:GetHeight() + button:GetHeight() + 2 );
end